Perl version 5.24.0 - Unable to access repository

Posted by dzgjwb01 on 2016-08-29 06:25
Forums: PPM | OS: Windows 7

I am having problems running PPM on my corporate laptop after installing the 64bit version of perl - Version 5.24.0.

I get the following error when I run "ppm install Tk" from an admin command prompt:

H:\>ppm install Tk
Downloading ActiveState Package Repository packlist...failed 500 Can't connect to ppm4.activestate.com:80
ppm install failed: Can't find any package that provides Tk

I am running Fiddler in, and never see any requests go out to that repository. I have tried to set the environment variable http_proxy to "http://127.0.0.1:8888" and also tried pointing it to our proxy server address directly, to no avail.

I can browse to the repository ("http://ppm4.activestate.com/MSWin32-x64/5.24/2400/" via my web browser just fin.

Here is the contents of the log:
H:\>ppm log 10
Last 10 minutes of C:\Users\DZGJWB\AppData\Local\Temp\ppm4.log:

2016-08-29T10:15:37 <6> [ppm:82] ppm install Tk
2016-08-29T10:17:09 <6> [Web.pm:108] GET http://ppm4.activestate.com/MSWin32-x64
/5.24/2400/package.xml ==> 500 Can't connect to ppm4.activestate.com:80 (282 bytes in 92 sec - 0 KB/s)
2016-08-29T10:17:09 <7> [Client.pm:1167] Want Tk (missing)
2016-08-29T10:17:09 <3> [ppm:86] ppm install: Can't find any package that provid
es Tk at C:/eng_apps/Perl64/lib/ActivePerl/PPM/Client.pm line 1203. ...propagated at C:\eng_apps\Perl64\bin/ppm line 1173.

Any help would be greatly appreciated.

i-shenl
ActiveState Staff
Mon, 2016-08-29 08:05

The 5.24 repo is still in development and not yet available.

Our suggestion for now would be to use 5.22 as the repo should be available there.